%define upstream_name    YAML-LibYAML
%define upstream_version 0.62

# Avoid provides for perl shared objects
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    An XS Wrapper Module of libyaml
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz
# mga#12984, CVE-2013-6393
Patch1:     YAML-LibYAML-0.41-libyaml-node-id-hardening.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
Kirill Siminov's 'libyaml' is arguably the best YAML implementation. The C
library is written precisely to the YAML 1.1 specification. It was
originally bound to Python and was later bound to Ruby.

This module is a Perl XS binding to libyaml which offers Perl the best YAML
support to date.

This module exports the functions 'Dump' and 'Load'. These functions are
intended to work exactly like 'YAML.pm''s corresponding functions.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.620.0-2.mga6
+ Revision: 1036181
- Rebuild for perl 5.22.2

* Thu Feb 25 2016 shlomif <shlomif> 0.620.0-1.mga6
+ Revision: 978853
- update to 0.62

* Fri Feb 12 2016 umeabot <umeabot> 0.600.0-2.mga6
+ Revision: 958264
- Mageia 6 Mass Rebuild

* Wed Feb 10 2016 shlomif <shlomif> 0.600.0-1.mga6
+ Revision: 953375
- update to 0.60

* Fri Jun 26 2015 tv <tv> 0.590.0-3.mga6
+ Revision: 845585
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.590.0-2.mga6
+ Revision: 840549
- Rebuild for new perl

* Mon Jun 22 2015 sander85 <sander85> 0.590.0-1.mga6
+ Revision: 839226
- update to 0.59

* Tue Dec 02 2014 sander85 <sander85> 0.540.0-1.mga5
+ Revision: 800412
- update to 0.54

* Sun Oct 19 2014 umeabot <umeabot> 0.520.0-5.mga5
+ Revision: 788946
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.520.0-4.mga5
+ Revision: 742863
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.520.0-3.mga5
+ Revision: 731918
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.520.0-2.mga5
+ Revision: 686990
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 sander85 <sander85> 0.520.0-1.mga5
+ Revision: 666844
- update to 0.52

* Sun Aug 17 2014 sander85 <sander85> 0.510.0-1.mga5
+ Revision: 664648
- update to 0.51

* Sat Aug 16 2014 sander85 <sander85> 0.490.0-2.mga5
+ Revision: 664292
- update to 0.49

* Sun Aug 10 2014 sander85 <sander85> 0.470.0-1.mga5
+ Revision: 661459
- update to 0.47

* Thu Aug 07 2014 sander85 <sander85> 0.460.0-1.mga5
+ Revision: 660493
- update to 0.46

* Tue Aug 05 2014 sander85 <sander85> 0.450.0-1.mga5
+ Revision: 659831
- update to 0.45

* Tue Jul 15 2014 sander85 <sander85> 0.440.0-1.mga5
+ Revision: 652991
- update to 0.44

* Tue Jun 03 2014 pterjan <pterjan> 0.410.0-5.mga5
+ Revision: 631898
- Rebuild for perl 5.20

* Mon Mar 31 2014 jquelin <jquelin> 0.410.0-4.mga5
+ Revision: 610874
- fix CVE-2014-2525 (mga#12984)

* Tue Mar 11 2014 jquelin <jquelin> 0.410.0-3.mga5
+ Revision: 602067
- fixing CVE-2013-6393 (mga#12984)

* Sat Oct 19 2013 umeabot <umeabot> 0.410.0-2.mga4
+ Revision: 525999
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 0.410.0-1.mga4
+ Revision: 435136
- update to 0.41

* Wed May 29 2013 jquelin <jquelin> 0.380.0-4.mga4
+ Revision: 431017
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.380.0-3.mga3
+ Revision: 375305
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.380.0-2.mga3
+ Revision: 251354
- rebuild for perl 5.16

* Thu Jan 05 2012 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 191350
- update to 0.38

* Thu Oct 13 2011 jquelin <jquelin> 0.370.0-1.mga2
+ Revision: 154512
- update to 0.37

* Sun Jun 12 2011 sander85 <sander85> 0.350.0-2.mga2
+ Revision: 105151
- Rebuild for perl 5.14

* Fri Apr 08 2011 jquelin <jquelin> 0.350.0-1.mga1
+ Revision: 82078
- update to 0.35

* Sat Jan 22 2011 jquelin <jquelin> 0.340.0-1.mga1
+ Revision: 31507
- mageia rebuild
- imported package perl-YAML-LibYAML

